#! /bin/bash
if [ -z "$1" ]; then
  echo "missing parameter..."
  echo ""
  echo "usage:"
  echo "$0 LayoutEditor"
  echo "$0 ImageSetViewer"
  echo "$0 FontViewer"
  echo ""
  echo "or one of the installed demo applications:"
  myDemos=`ls -1 /usr/bin/MyGUI-Demo_*`
  echo $myDemos | sed -e 's|/usr/bin/||g'
  exit 1
fi

# create local working directory
mkdir -p $HOME/.MyGUI

# link the resources to local dir
# just in case some new files appear (update)
ln -sf /usr/share/MYGUI/Media $HOME/.MyGUI

if [ ! -f $HOME/.MyGUI/plugins.cfg ]; then
  # config should be user writeable
  cp /usr/share/MYGUI/plugins.cfg $HOME/.MyGUI
fi
if [ ! -f $HOME/.MyGUI/resources.xml ]; then
  cp /usr/share/MYGUI/resources.xml $HOME/.MyGUI
fi

# call binary from local working-directory
cd $HOME/.MyGUI
/usr/bin/$1
